import { AuthRepository } from '@app/domain/authentification/auth.repository';

export class VerifyEmailUseCase {
  constructor(private readonly authRepo: AuthRepository) {}
  execute(): boolean {
    return this.authRepo.isEmailVerified();
  }
}
